
package eu.dnetlib.dhp.ircdl_extention.model;

import java.io.Serializable;
import java.util.List;

public class Result implements Serializable {
	private Boolean deletedbyinference;
	private String id;
	private List<KeyValue> cf;
	private List<KeyValue> pid;
	private String name;
	private String surname;
	private String fullname;
	private String oid;

	public static Result newInstance(String afullname) {
		Result r = new Result();
		r.fullname = afullname;

		return r;
	}

	public static Result fromAuthor(Author p) {
		Result r = new Result();
		r.deletedbyinference = p.getDeletedbyinference();
		r.id = p.getId();
		r.cf = p.getCf();
		r.pid = p.getPid();
		r.name = p.getName();
		r.surname = p.getSurname();
		r.fullname = p.getFullname();

		return r;
	}

	public Boolean getDeletedbyinference() {
		return deletedbyinference;
	}

	public void setDeletedbyinference(Boolean deletedbyinference) {
		this.deletedbyinference = deletedbyinference;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public List<KeyValue> getCf() {
		return cf;
	}

	public void setCf(List<KeyValue> cf) {
		this.cf = cf;
	}

	public List<KeyValue> getPid() {
		return pid;
	}

	public void setPid(List<KeyValue> pid) {
		this.pid = pid;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		if (name != null)
			this.name = name.toLowerCase();
		else
			this.name = new String();
	}

	public String getSurname() {
		return surname;
	}

	public void setSurname(String surname) {
		if (surname != null)
			this.surname = surname.toLowerCase();
		else
			this.surname = new String();
	}

	public String getFullname() {
		return fullname;
	}

	public void setFullname(String fullname) {
		if (fullname != null)
			this.fullname = fullname.toLowerCase();
		else
			this.fullname = new String();
	}

	public String getOid() {
		return oid;
	}

	public void setOid(String oid) {
		this.oid = oid;
	}
}
